# Class yii\apidoc\helpers\ApiIndexer

Inheritance | yii\apidoc\helpers\ApiIndexer » cebe\jssearch\Indexer
Source Code | https://github.com/yiisoft/yii2-apidoc/blob/master/helpers/ApiIndexer.php

ApiIndexer indexes framework API

## Public Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
getTokenizer() |  | yii\apidoc\helpers\ApiIndexer

## Protected Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
generateFileInfo() |  | yii\apidoc\helpers\ApiIndexer

## Method Details

generateFileInfo() protected method

protected array generateFileInfo ( $file, $contents, $basePath, $baseUrl )
$file | string |
$contents | string |
$basePath | string |
$baseUrl | string |

getTokenizer() public method

public \cebe\jssearch\TokenizerInterface getTokenizer ( )